' ----------------------------------------------------------
' Skriptname: Adresse in cobra anzeigen
' 
' Erstellt: 
' Autor:    F. Reichardt (id-netsolutions GmbH)
' Kontakt:  support@docufied.de
'
' ----------------------------------------------------------
' Funktionsbeschreibung
' 
' Wenn die die bertragung des Datensatzlinks in cobra
' aktiviert ist, dann springt das Skript bei Dokumenten,
' die mit >docufied< for cobra abgelegt worden sind,
' zu der cobra-Adresse. 
' 
'
' Version: 1.0
' ----------------------------------------------------------
' Versionsgeschichte
' ----------------------------------------------------------
' 1.0 : 25.5.2011 : Initialversion
' ----------------------------------------------------------
' Module:
' 1. cobra
' 2. >docufied< for cobra oder 
'    >docufied< for cobra feat. TobitSoftware  
' ----------------------------------------------------------
' ----------------------------------------------------------
' ----------------------------------------------------------

OPTION EXPLICIT
Dim Elo
Set Elo=CreateObject("ELO.office")
Dim wshell
Set wshell=CreateObject("WScript.Shell")

SUB main()
   Dim view
   view = Elo.SelectView(0)
   IF (view = 1) OR (view = 2) OR (view = 4) OR (view = 8) THEN
      Dim objID 
      objID = Elo.GetEntryID(-1)
      IF objID >= 1 THEN
         Dim answer
         answer = Elo.PrepareObjectEx(objID, 0, 0)
         IF (answer = 2) OR (answer = 5) THEN
            Dim memo 
            memo = Elo.ObjMemoInfo
            Dim pos
            Dim pos2
            pos = InStr(memo, "AdrId=")
            pos2 = InStr(memo, "||")
            IF (pos >= 0) AND (pos2 > pos) THEN
               Dim address
               address = Mid(memo, pos + 7, pos2 - pos - 7)
               wshell.run(address)
            ELSE
               MsgBox "Es wurde keine Adresse in der Verschlagwortung gefunden."
            END IF
         ELSE
            MsgBox "Das makierte Dokument konnte nicht gelesen werden. Fehler = " + answer
         END IF 
      ELSE
         MsgBox "Es wurde kein Dokument makiert."
      END iF
   ELSE
      MsgBox "Das Skript kann nur aus dem Archiv, dem Klemmbrett, der Suche und der List zu bearbeitender Dokumente gestartet werden."
   END IF
END SUB

main